<div class="modal fade" id="addCertificateModal" tabindex="-1" role="dialog" aria-labelledby="addCertificateModalLabel" aria-hidden="true">
    <div class="modal-dialog {#modal-lg#}" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="addCertificateModalLabel">{{ 'add.certificate.label'|trans({}, 'frontends') }}</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <div class="row">
                    <div class="col">
                        <p class="h5 text-muted">{{ 'checkout.text'|trans({}, 'frontends') }}</p>
                    </div>
                </div>
                <div class="row">
                    <div class="col mt-3">
                        {% if defaultPaperPicFrame is defined and defaultPaperPicFrame is not empty %}
                            <div id="img-holder" class="mb-3">
                                <img data-src="{{ asset(defaultPaperPicFrame.assetUrl) }}" alt="{{ defaultPaperPicFrame.name ~ ' bigger' }}"
                                     width="220" height="220" class='lazyload img-fluid'>
                            </div>
                            <div class="img-thumbs d-inline-block">
                                <img data-src="{{ asset(defaultPaperPicFrame.assetUrl) }}" alt="{{ defaultPaperPicFrame.name ~ ' - 1' }}"
                                     width="51" height="51" class='certificate-thumb-imgs lazyload img-thumbnail thumb-active'>
                            </div>
                            {% set ipf = 2 %}
                            {% for assetRelatePic in defaultPaperPicFrame.relatedPictures %}
                                <div class="img-thumbs d-inline-block">
                                    <img data-src="{{ asset(defaultPaperPicFrame.assetUrl) }}" alt="{{ defaultPaperPicFrame.name ~ ' - ' ~ ipf }}"
                                         width="51" height="51" class='certificate-thumb-imgs lazyload img-thumbnail'>
                                </div>
                                {% set ipf = ipf + 1 %}
                            {% endfor %}

                            <input type="hidden" id="slc_graphics_certificate" class="cer_fields" value="{{ defaultPaperPicFrame.id }}">
                        {% endif %}

                    </div>
                    <div class="col">
                        {#{% set certificateValue = 0 %}#}
                        {% for categorySource,optionals in paperOptionals %}
                            <div class="form-group mt-3">
                                <label for="slc_paper_opt_{{ categorySource }}">
                                    <span>{{ categorySource|trans({}, 'frontends') }}</span> (*)
                                </label>
                                <select id="slc_paper_opt_{{ categorySource }}" class="mb-3 form-control cls_slc_paper_opt cer_fields" disabled>
                                    {% for optional in optionals %}
                                        {#{% set certificateValue = certificateValue + optional.price %}#}
                                        <option value="{{ optional.id }}" data-special-effect="{{ optional.value }}" data-price="{{ optional.price }}" selected>
                                            <span>{{ optional.source|trans({}, 'frontends') }} (${{ optional.price }})</span>
                                        </option>
                                    {% endfor %}
                                </select>
                            </div>
                        {% endfor %}

                        {# HIDE PAPER GRAPHIC AND ADD IT AS HIDDEN INPUT #}
                        {#<div class="form-group mt-3">#}
                            {#<label for="slc_graphics_certificate">#}
                                {#<span>{{ 'graphics.label'|trans({}, 'frontends') }}</span> (*)#}
                            {#</label>#}
                            {#<select id="slc_graphics_certificate" class="form-control cer_fields" disabled>#}
                                {#{% for paperPicFrame in listPaperPicFrames %}#}
                                    {#<option value="{{ paperPicFrame.id }}" selected>#}
                                        {#<span>{{ paperPicFrame.source|trans({}, 'frontends') }}</span>#}
                                    {#</option>#}
                                {#{% endfor %}#}
                            {#</select>#}
                        {#</div>#}

                        <div class="custom-control custom-checkbox">
                            <input type="checkbox" name="cer_require_dedication" class="custom-control-input cer_fields" id="cer_require_dedication" data-dedication-price="{{ dedicationPrice is defined and dedicationPrice is not empty ? dedicationPrice : 9 }}" disabled>
                            <label class="custom-control-label" for="cer_require_dedication">
                                <span>{{ 'add.dedication.label'|trans({}, 'frontends') }} (${{ dedicationPrice is defined and dedicationPrice is not empty ? dedicationPrice : 9 }})</span>
                            </label>
                        </div>

                        <div class="form-group mt-3">
                            <label for="cer_dedicated_to">
                                <span>{{ 'dedicated.to.label'|trans({}, 'frontends') }}</span>
                            </label>
                            <input type="text" id="cer_dedicated_to" class="form-control cer_dedication_fields" maxlength="50" pattern=".{2,}" disabled>
                        </div>

                        <div class="form-group mt-3">
                            <label for="cer_dedication_line_1">
                                <span>{{ 'dedication.line.1.label'|trans({}, 'frontends') }}</span>
                            </label>
                            <input type="text" id="cer_dedication_line_1" class="form-control cer_dedication_fields" maxlength="50" pattern=".{2,}" disabled>
                        </div>

                        <div class="form-group mt-3">
                            <label for="cer_dedication_line_2">
                                <span>{{ 'dedication.line.2.label'|trans({}, 'frontends') }}</span>
                            </label>
                            <input type="text" id="cer_dedication_line_2" class="form-control cer_dedication_fields" maxlength="50" pattern=".{2,}" disabled>
                        </div>
                    </div>
                </div>

                <div class="row mt-3">
                    <div class="col text-right">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">{{ 'cancel.label'|trans({}, 'frontends') }}</button>
                        <button type="button" class="btn btn-primary" id="btn-add-certificate" data-url-validate="{{ url('api_validate_certificate_fields') }}">{{ 'save.and.add'|trans({}, 'frontends') }}</button>
                    </div>
                </div>
            </div>

        </div>
    </div>
</div>